com.google.appengine.api.datastore

## Class IMHandle

- java.lang.Object
- - com.google.appengine.api.datastore.IMHandle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IMHandle>

      public final class IMHandle
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable<IMHandle>

  An instant messaging handle. Includes both an address and its protocol. The protocol value is either a standard IM scheme (legal scheme values are defined by `IMHandle.Scheme` or a URL identifying the IM network for the protocol (e.g. http://aim.com/).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IMHandle.Scheme` Supported IM schemes.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMHandle(IMHandle.Scheme scheme, java.lang.String address)`
    `IMHandle(java.net.URL network, java.lang.String address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(IMHandle o)` Sorts first by protocol, then by address.
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getProtocol()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IMHandle

          public IMHandle(IMHandle.Scheme scheme,
                          java.lang.String address)

    - #### IMHandle

          public IMHandle(java.net.URL network,
                          java.lang.String address)

  - ### Method Detail

    - #### getProtocol

          public java.lang.String getProtocol()

    - #### getAddress

          public java.lang.String getAddress()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(IMHandle o)

      Sorts first by protocol, then by address.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<IMHandle>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`